Subject: Re: bug#79180: 31.0.50; Customize-browse emits treesit warnings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Aug 2025 08:36:48 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 08 Aug 2025 20:57:27 +0300
> 
> >> I have a patch that removes these warnings.
> >> Should I post it here or on emacs-devel?
> >
> > Please post here, and thanks.  If it turns out a more general
> > discussion is needed, we will start it on emacs-devel then.
> 
> This new option was discussed many times on emacs-devel,
> and here it's finally implemented.  As an example the patch
> demonstrates the required changes only for markdown-ts-mode, and
> similarly the same changes will be applied to all other ts-modes:

Sorry, I'm probably missing something: this patch seems to completely
remove the warning about manual activation of, say, markdown-ts-mode
when the grammar library is not installed?  IOW, what happens under
this patch if the user says "M-x markdown-ts-mode RET" and the grammar
library is not installed?